/*
 * Copyright (C) 2004 by kabalNET.com
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * All copyright notices regarding KNCwebserver MUST remain intact.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * @author Brett Haas
 */
package com.kabalnet.kncwebserver.core;

import java.util.Map;

public class Config {
    private Map mimeTypes;
    private String documentRoot;
    private String indexPage;
    private String logMessageFormat;
    private String logsDir;
    private String templatesDir;
    private boolean dirBrowsingPermitted;
    private int poolSize;
    private int portNumber;

    public void setDirBrowsingPermitted(boolean dirBrowsingPermitted) {
        this.dirBrowsingPermitted = dirBrowsingPermitted;
    }

    public boolean isDirBrowsingPermitted() {
        return dirBrowsingPermitted;
    }

    public void setDocumentRoot(String documentRoot) {
        this.documentRoot = documentRoot;
    }

    public String getDocumentRoot() {
        return documentRoot;
    }
    
    public void setIndexPage(String indexPage) {
        this.indexPage = indexPage;
    }

    public String getIndexPage() {
        return indexPage;
    }

    public void setLogMessageFormat(String logMessageFormat) {
        this.logMessageFormat = logMessageFormat;
    }

    public String getLogMessageFormat() {
        return this.logMessageFormat;
    }

    public void setLogsDir(String logsDir) {
        this.logsDir = logsDir;
    }

    public String getLogsDir() {
        return logsDir;
    }

    public void setMimeTypes(Map mimeTypes) {
        this.mimeTypes = mimeTypes;
    }

    public Map getMimeTypes() {
        return mimeTypes;
    }

    public void setPoolSize(int poolSize) {
        this.poolSize = poolSize;
    }

    public int getPoolSize() {
        return poolSize;
    }

    public void setPortNumber(int portNumber) {
        this.portNumber = portNumber;
    }

    public int getPortNumber() {
        return portNumber;
    }

    public void setTemplatesDir(String templatesDir) {
        this.templatesDir = templatesDir;
    }

    public String getTemplatesDir() {
        return templatesDir;
    }
}
